﻿
<div class="modal fade" data-backdrop="static" data-keyboard="false" id="FloorModal" tabindex="-1" role="dialog" aria-labelledby="FloorModal" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" onclick="function close(){window.location.reload(true)};close()" class="btn btn-danger btn-xs pull-right"  ><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b >@Resources.Content.ManageFloor</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-6">
                        <input id="Floorid" name="Floorid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <div class="form-group">
                            <label for="floorno">@Resources.Content.Floor</label>
                            <input id="floorno" name="floorno" placeholder="Enter Floor No" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-5">
                        <div class="form-group">
                            <label for="buildingid">@Resources.Content.Building</label>
                            <select class="select form-control input-sm" id="buildingid">
                                @foreach (var roomType in Model.Buildings)
                                {
                                    <option value=@roomType.id>@roomType.buildingname</option>
                                }
                            </select>
                        </div>
                    </div>
                    <div class="col-md-1">
                        <label>&nbsp;</label>
                        <button class="btn btn-info btn-sm pull-right" type="button" data-toggle="modal" data-target="#BuildingModal"><span class="glyphicon glyphicon-plus"></span></button>
                    </div>
                </div>
                <button type="button" id="btnAddFloor" onclick="AddFloorAction()" class="btn btn-primary btn-sm"><span class="glyphicon glyphicon-plus"></span> @Resources.Content.AddNew</button>
                <button type="button" id="btnSaveFloor" onclick="SaveFloorAction()" class="btn btn-info btn-sm"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
                <button type="button" id="btnUpdateFloor" onclick="UpdateFloorAction()" class="btn btn-success btn-sm"><span class="glyphicon glyphicon-refresh"></span> @Resources.Content.Update</button>
                <hr />
                <div class="row">
                        <div class="col-md-12">
                            <table class="table-hover table-bordered table-condensed table-striped" style="width:100%" id="dtFloor">
                                <thead>
                                    <tr>
                                        <th>@Resources.Content.No</th>
                                        <th>@Resources.Content.Floor</th>
                                        <th>@Resources.Content.Building</th>
                                        <th style="width:10%">@Resources.Content.Action</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                   
                </div>
            </div>
        </div>

    </div>
</div>

<script>
    function AddFloorAction() {
        $('#btnAddFloor').hide();
        $('#btnSaveFloor').show();
        $('#btnUpdateFloor').hide();
        EnableFloorControl();
        ClearFloorControl();
        $('#floorno').focus();
    }

    function SaveFloorAction() {
        var res = ValidationFormFloor();
        if (res == false) {
            return false;
        }
        var data = {
            floor_no: $('#floorno').val(),
            buildingid: $('#buildingid').val(),
        };

        $.ajax({
            url: "/api/Floors",
            data: JSON.stringify(data),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("Insert data sucessfully!", "Server Respond");
                $('#dtFloor').DataTable().ajax.reload();
                DisableFloorControl();
                ClearFloorControl();
                $('#btnAddFloor').show();
                $('#btnSaveFloor').hide();
                $('#btnUpdateFloor').hide();
            },
            error: function (errormesage) {
                $('#FloorName').focus();
                toastr.error("Bad request!", "Server Respond")
            }

        });
    }

    function UpdateFloorAction() {
        var res = ValidationFormFloor();
        if (res == false) {
            return false;
        }
        var data = {
            id: $('#Floorid').val(),
            floor_no: $('#floorno').val(),
            buildingid: $('#buildingid').val(),
        };
        $.ajax({
            url: "/api/Floors/" + data.id,
            data: JSON.stringify(data),
            type: "PUT",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("Update record successully!", "Server Respond");
                $('#dtFloor').DataTable().ajax.reload();
                document.getElementById('btnSaveFloor').innerText = "Add New";
                DisableFloorControl();
                ClearFloorControl();
                $('#btnAddFloor').show();
                $('#btnSaveFloor').hide();
                $('#btnUpdateFloor').hide();
            },
            error: function (errormesage) {
                toastr.error("Update record faild!", "Server Respond")
            }
        });
    }
</script>

